KNS::ProviderLoader Class Reference

`#include <provider.h>`

Inherits QObject.

## Signals

void | providersLoaded (Provider::List *)

## Public Member Functions

| ProviderLoader (QWidget *parentWidget)
void | load (const QString &type, const QString &providerList=QString::null)

## Protected Slots

void | slotJobData (KIO::Job *, const QByteArray &)
void | slotJobResult (KIO::Job *)

## Detailed Description

KNewStuff provider loader.

This class sets up a list of all possible providers by querying the main provider database for this specific application. It should probably not be used directly by the application.

Definition at line 172 of file provider.h.

## Constructor & Destructor Documentation

ProviderLoader::ProviderLoader | ( | QWidget * | parentWidget | ) |

Constructor.

Parameters

  parentWidget | the parent widget

Definition at line 209 of file provider.cpp.

## Member Function Documentation

void ProviderLoader::load | ( | const QString & | type,
|  | const QString & | providerList = `QString::null`
| ) |  |

Starts asynchronously loading the list of providers of the specified type.

Parameters

  type | data type such as 'kdesktop/wallpaper'.
  providerList | the URl to the list of providers; if empty we first try the ProvidersUrl from KGlobal::config, then we fall back to a hardcoded value.

Definition at line 215 of file provider.cpp.

void KNS::ProviderLoader::providersLoaded | ( | Provider::List * |  | ) |

signal

Indicates that the list of providers has been successfully loaded.

The documentation for this class was generated from the following files:

- provider.h
- provider.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys